## adios 1.2.1

=== debian/changelog ===
adios (1.2.1-2) unstable; urgency=low

  * Use MPIFC=mpif77 during build, to work on LAM-based MPI systems. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jul 2011 00:33:10 +0100

adios (1.2.1-1) unstable; urgency=low

  * Initial release. (Closes: #624371).

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Apr 2011 19:16:12 +0100
