=== debian/control ===
Source: adios
Section: science
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Build-Depends: debhelper (>= 7.0.50~), libnetcdf-dev, gfortran, libhdf5-mpi-dev | libhdf5-dev, libmxml-dev, python-all-dev, mpi-default-dev
Standards-Version: 3.9.2
Homepage: http://www.olcf.ornl.gov/center-projects/adios/

Package: libadios-dev
Section: libdevel
Architecture: any
Depends:  ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
Description: ADIOS Adaptable IO system for simulations
 The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
 to describe the data in their code that may need to be written, read,
 or processed outside of the running simulation. By providing an external
 to the code XML file describing the various elements, their types, and
 how you wish to process them this run, the routines in the host code
 (either Fortran or C) can transparently change how they process the data.
