=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

BINDIR=debian/libadios-dev/usr/bin
# magic debhelper rule
%:
	dh $@ --with python2

override_dh_auto_clean:
	dh_clean
	find . -name '*.pyc' -delete

override_dh_auto_configure:
	dh_auto_configure -- --enable-shared --prefix=`pwd`/debian/tmp  MPIFC=mpif77

override_dh_auto_install:
	$(MAKE) install prefix=$(shell pwd)/debian/libadios-dev/usr 
	chmod -x $(BINDIR)/adios_config.flags
	mv $(BINDIR)/gpp.py $(BINDIR)/gpp
	mv $(BINDIR)/gpp_types.py $(BINDIR)/gpp_types
	mv $(BINDIR)/xmlparser.py $(BINDIR)/xmlparser
