## adios 1.3

=== debian/changelog ===
adios (1.3-9) unstable; urgency=low

  * Move to Standards-Version: 3.9.3. No changes required.
  * Fixes to build with hardening flags.  
  * Patch from Pino Toscano to fix FTBFS on Hurd. Closes: #660562.
  * Fix netcdf linking. Closes: #662995 
  * Change to Multiarch: foreign now we ship arch-dependent binaries
    in libadios-dev. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 09 Mar 2012 17:34:24 +0000

adios (1.3-8) unstable; urgency=low

  * Add -Wl,--as-needed to remove unnecessary dependencies.
  * Mult-Arch support. 
    - No longer ship adios_config.flags. Instead recommend users use  
      pkg-config, which Does The Right Thing in multi-arch.
    - adios_

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Sep 2011 15:43:29 +0100

adios (1.3-7) unstable; urgency=low

  * Rename gpp to adiosxml2h. (Will be renamed by upstream in next release)
    Closes: #639257. 
  * Move DH_COMPAT=8 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Aug 2011 18:17:09 +0100

adios (1.3-6) unstable; urgency=low

  * LAM uses mpicc.lam, not mpicc.  

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Aug 2011 17:18:36 +0100

adios (1.3-5) unstable; urgency=low

  * MPI_IN_PLACE patch is needed for adiso_mpi_lustre.c too, even though
   Lustre is not used in LAM environment. Sigh.  

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Aug 2011 09:57:26 +0100

adios (1.3-4) unstable; urgency=low

  * Patch to stop compilation with dummy MPI if real parallel HDF5 is used.
    Closes: #637893. 
  * make use of MPI_IN_PLACE conditional on MPI_IN_PLACE existing,
    as its not present in LAM MPI. Also, conditionally use mpicc.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Aug 2011 17:57:34 +0100

adios (1.3-3) unstable; urgency=low

  * Make lustre support conditional to intel,amd64, powerpc archs. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Aug 2011 16:56:23 +0100

adios (1.3-2) unstable; urgency=low

  * Set CC=mpicc to ensure new C code gets built with MPI. 
    Closes: #637714. 
  * Add lustre support. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Aug 2011 16:12:14 +0100

adios (1.3-1) unstable; urgency=low

  * New upstream release.
  * Ignore -little flag in configure to support SH4. 
    Thanks to Nobuhiro Iwamatsu; Closes: #635908. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Aug 2011 20:32:58 +0100
