=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: science
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), libnetcdf-dev, gfortran, libhdf5-mpi-dev | libhdf5-dev, libmxml-dev, python-all-dev, mpi-default-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 8.1.3~), libnetcdf-dev, gfortran, libhdf5-mpi-dev | libhdf5-dev, libmxml-dev, python-all-dev, mpi-default-dev, 
+ lustre-dev [i386 amd64 ia64 powerpc]
+Standards-Version: 3.9.3
 Homepage: http://www.olcf.ornl.gov/center-projects/adios/
 
 Package: libadios-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: foreign
 Depends:  ${misc:Depends}, ${shlibs:Depends}, ${python:Depends}
 Description: ADIOS Adaptable IO system for simulations
  The Adaptable IO System (ADIOS) provides a simple, flexible way for scientists
