=== src/core/CMakeLists.txt ===
include_directories(${PROJECT_BINARY_DIR})
