=== debian/changelog ===
adios (1.5.0-1ubuntu7) trusty; urgency=low

  * Add more netcdf fixes.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 27 Jan 2014 23:09:51 -0500

adios (1.5.0-1ubuntu6) trusty; urgency=low

  * Fix netcdf underlinkage for ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 27 Jan 2014 17:42:42 -0500

adios (1.5.0-1ubuntu5) trusty; urgency=low

  * Use pkg-config to pull in the necessary libs for ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 27 Jan 2014 13:59:27 -0500

adios (1.5.0-1ubuntu4) trusty; urgency=low

  * Rearrange yet another missing lib to link for Ubuntu/ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 27 Jan 2014 13:08:57 -0500

adios (1.5.0-1ubuntu3) trusty; urgency=low

  * Add another missing lib to link for Ubuntu/ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 27 Jan 2014 12:53:17 -0500

adios (1.5.0-1ubuntu2) trusty; urgency=low

  * Rearrange missing libs to link for Ubuntu/ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 27 Jan 2014 12:19:40 -0500

adios (1.5.0-1ubuntu1) trusty; urgency=low

  * Use dh-autoreconf for newer arches.
  * Add missing curl lib to link (and its build-dependency aligned with
    Debian sid's build), resolving FTBFS on Ubuntu.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 27 Jan 2014 11:38:45 -0500

adios (1.5.0-1) unstable; urgency=medium

  * New upstream.
  * Standards-Version: 3.9.5
  * Include latest config.{sub,guess} 
  * New watch file.
  * Create libadios-bin for binaries.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Dec 2013 15:21:31 +0000

adios (1.4.1-1) unstable; urgency=low

  * New upstream.
  * update config.{sub,guess} for the AArch64 port. Closes: #727312.
  * Make python code python2-3 agnostic.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 24 Oct 2013 19:27:47 +0100

adios (1.3-11) unstable; urgency=low

  * Comment out lustre support (and remove dependency) as Wheezy will not
    ship with lustre-dev. Closes: #699262.
  * Standards-Version: 3.9.4. No changes required.
  * Update debhelper dependency to 9 for multiarch.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Jan 2013 16:18:53 +0000

adios (1.3-10) unstable; urgency=low

  * Patch from Simon Ruderich for hardening flags. Closes: #663925, #663978. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 21 Mar 2012 10:20:55 +0000
