=== debian/watch ===
version=3
http://www.olcf.ornl.gov/center-projects/adios/ .*/adios-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
